call "UNO_API_info"        -- get UNO API info utility

desktop          = UNO.createDesktop()
xDesktop         = desktop~XDesktop
xComponentLoader = xDesktop~XComponentLoader
writerComponent  = xcomponentLoader~loadComponentFromURL("private:factory/swriter", "_blank", 0, .UNO~noProps)
xTextDocument    = writerComponent~xTextDocument
xText            = xTextDocument~getText
xTextCursor      = xText~createTextCursor
xTextRange       = xText~getEnd
xTextRange~setString("Hello, this is ooRexx speaking on:" date("S") time())
writerComponent~XModifiable~setModified(.false)

-- call directly public routine in UNO_API_info.rex
options=.directory~new
options~NrOfLayers          =1      -- one layer deep only
options~View                =4      -- save odt, create pdf
call analyzeAndCreateReference writerComponent, options

-- now change options for the next run
options~NrOfLayers          =2   -- two layers deep
options~View                =4   -- save as odt and pdf
options~DocumentationSource =1   -- Internet
options~NumberingTypeLevel_1=0   -- uppercase letters
options~NumberingTypeLevel_2=4   -- arabic numbers
options~NumberingTypeLevel_3=1   -- lowercase letters
options~FontName            ="Times New Roman"
call analyzeAndCreateReference writerComponent, options

::requires UNO.CLS   -- get the UNO-support (includes BSF.CLS, i.e. Java-support)


/*
    ------------------------ Apache Version 2.0 license -------------------------
       Copyright (C) 2009 Rony G. Flatscher

       Licensed under the Apache License, Version 2.0 (the "License");
       you may not use this file except in compliance with the License.
       You may obtain a copy of the License at

           http://www.apache.org/licenses/LICENSE-2.0

       Unless required by applicable law or agreed to in writing, software
       distributed under the License is distributed on an "AS IS" BASIS,
       WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
       See the License for the specific language governing permissions and
       limitations under the License.
    -----------------------------------------------------------------------------
*/
